This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1263964 - Problem with ews connection after glib2 update to glib2-2.45.7-1.fc24
Problem with ews connection after glib2 update to glib2-2.45.7-1.fc24
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution-ews (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 04:10 EDT by piio
Modified: 2015-09-22 01:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 03:12:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 755075 None None None Never

  None (edit)
Description piio 2015-09-17 04:10:39 EDT
Description of problem:
After update glib2 from glib2-2.45.7-1 to glib2-2.45.8-1 I can't connect to Exchange 2010+ servers

Version-Release number of selected component (if applicable):
evolution-ews-3.17.92-1.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Update glib2 to glib2-2.45.8-1
2. Run evolution with configured Exchange 2010+ servers
3.

Actual results:
There is unknown error connecting to Exchange 2010+ servers, in logs I can see:
(evolution:8661): CRITICAL **: mail_session_refresh_cb: assertion 'service != NULL' failed

Expected results:
Working connection to Exchange 2010+ servers

Additional info:
Comment 1 piio 2015-09-18 03:12:55 EDT
Everything works fine with glib2-2.45.8-1 after update evolution-data-server to 3.17.92-2
Comment 2 Milan Crha 2015-09-22 01:15:34 EDT
Thanks for a bug report and the follow-up. This is related to the upstream
bug [1], whose fix is included in the 3.17.92-2.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=755075

Note You need to log in before you can comment on or make changes to this bug.